function [lhv_s,rhv_s]=FindCommonSample(lhv,rhv)

% Case 1: Common sample ends as soon as one variable has a missing
% observation
search_start     = 0;
start_line       = 1;
for t  = 1:size(lhv,1)
    if sum(isnan(lhv(t,1).*rhv(t,:)))==0 && search_start == 0;
        start_line       = t;
        search_start     = 1;
    end;
end;
search_end   = 0;
end_line     = size(lhv,1);
for t  = start_line+1:size(lhv,1)
    if sum(isnan(lhv(t,1).*rhv(t,:)))>=1 && search_end == 0;
        end_line       = t-1;
        search_end     = 1;
    end;
end;      

if search_start ==1;
    lhv_s = lhv(start_line:end_line,:);
    rhv_s = rhv(start_line:end_line,:);
else
    lhv_s = [];
    rhv_s = [];
end;

% Case 2: Common sample collects all available observations (even if not
% continous)
lhv_temp = [];
rhv_temp = [];
for t  = 1:size(lhv,1)
    if sum(isnan(lhv(t,1).*rhv(t,:)))==0
        lhv_temp = [lhv_temp; lhv(t,1)]; %#ok<AGROW>
        rhv_temp = [rhv_temp; rhv(t,:)]; %#ok<AGROW>
    end;
end;

        
choose_case = 2;

if choose_case ==2
    lhv_s =  lhv_temp;
    rhv_s =  rhv_temp;
end;
