% ============================================= %
% Description
% ============================================= %

% Produces Figure 2 in the main text and Figures A9-A11 in the Online
% Appendix.

% ============================================= %

str = computer;
if or(strcmp(str,'PCWIN')==1, strcmp(str,'PCWIN64'))==1;
    newpath   =  strcat(pwd,'\');
else
    newpath   =  strcat(pwd,'/');
end;
close all

horizon=1;
source=1;
% source=2;
N_mat=8;
frequency=1;

if source == 1
Nport=3;
elseif source == 2
Nport=5;    
end

maturity_grid=[1 4 8 12 16 20 40 60];


IR_fx=NaN(N_mat,Nport+1);
IR_fx_se=NaN(N_mat,Nport+1);
IR_fx_std=NaN(N_mat,Nport+1);
IR_fx_sr=NaN(N_mat,Nport+1);
IR_fx_sr_se=NaN(N_mat,Nport+1);
IR_local=NaN(N_mat,Nport+1);
IR_local_se=NaN(N_mat,Nport+1);
IR_local_std=NaN(N_mat,Nport+1);
IR_local_sr=NaN(N_mat,Nport+1);
IR_local_sr_se=NaN(N_mat,Nport+1);
IR_dollar=NaN(N_mat,Nport+1);
IR_dollar_se=NaN(N_mat,Nport+1);
IR_dollar_std=NaN(N_mat,Nport+1);
IR_dollar_sr=NaN(N_mat,Nport+1);
IR_dollar_sr_se=NaN(N_mat,Nport+1);

slope_fx=NaN(N_mat,Nport+1);
slope_fx_se=NaN(N_mat,Nport+1);
slope_fx_std=NaN(N_mat,Nport+1);
slope_fx_sr=NaN(N_mat,Nport+1);
slope_fx_sr_se=NaN(N_mat,Nport+1);
slope_local=NaN(N_mat,Nport+1);
slope_local_se=NaN(N_mat,Nport+1);
slope_local_std=NaN(N_mat,Nport+1);
slope_local_sr=NaN(N_mat,Nport+1);
slope_local_sr_se=NaN(N_mat,Nport+1);
slope_dollar=NaN(N_mat,Nport+1);
slope_dollar_se=NaN(N_mat,Nport+1);
slope_dollar_std=NaN(N_mat,Nport+1);
slope_dollar_sr=NaN(N_mat,Nport+1);
slope_dollar_sr_se=NaN(N_mat,Nport+1);

for mat=1:N_mat

    maturity=maturity_grid(mat);
    
[data,list]=xlsread(strcat(newpath,'portfolio_composition_BB_sample_',int2str(source),'_horizon_',int2str(horizon),'_maturity_',int2str(maturity),'_2016.xls'), 'Interest Table');
IR_fx(mat,:)=data(1,:);
IR_fx_se(mat,:)=data(2,:);
IR_fx_std(mat,:)=data(3,:);
IR_fx_sr(mat,:)=data(4,:);
IR_fx_sr_se(mat,:)=data(5,:);

IR_local(mat,:)=data(6,:);
IR_local_se(mat,:)=data(7,:);
IR_local_std(mat,:)=data(8,:);
IR_local_sr(mat,:)=data(9,:);
IR_local_sr_se(mat,:)=data(10,:);

IR_dollar(mat,:)=data(11,:);
IR_dollar_se(mat,:)=data(12,:);
IR_dollar_std(mat,:)=data(13,:);
IR_dollar_sr(mat,:)=data(14,:);
IR_dollar_sr_se(mat,:)=data(15,:);


[data,list]=xlsread(strcat(newpath,'portfolio_composition_BB_sample_',int2str(source),'_horizon_',int2str(horizon),'_maturity_',int2str(maturity),'_2016.xls'), 'Slope Table');
slope_fx(mat,:)=data(1,:);
slope_fx_se(mat,:)=data(2,:);
slope_fx_std(mat,:)=data(3,:);
slope_fx_sr(mat,:)=data(4,:);
slope_fx_sr_se(mat,:)=data(5,:);

slope_local(mat,:)=data(6,:);
slope_local_se(mat,:)=data(7,:);
slope_local_std(mat,:)=data(8,:);
slope_local_sr(mat,:)=data(9,:);
slope_local_sr_se(mat,:)=data(10,:);

slope_dollar(mat,:)=data(11,:);
slope_dollar_se(mat,:)=data(12,:);
slope_dollar_std(mat,:)=data(13,:);
slope_dollar_sr(mat,:)=data(14,:);
slope_dollar_sr_se(mat,:)=data(15,:);

end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    
figure
subplot(3,3,1)
    y1 = slope_local(:,1);
%     y2 = slope_local(:,1)+2*slope_local_se(:,1);  % 2 s.e.
%     y3 = slope_local(:,1)-2*slope_local_se(:,1);  % 2 s.e. 
    y2 = slope_local(:,1)+slope_local_se(:,1);  % 1 s.e.
    y3 = slope_local(:,1)-slope_local_se(:,1);  % 1 s.e.
    x  = maturity_grid;
    
    % area does not work with NaN
    
    
    % plot the area
    y = [y3 (y2-y3)]; 
    ha = area(x, y);hold on;
    set(ha(1), 'FaceColor', 'none') % this makes the bottom area invisible
    set(ha, 'LineStyle', 'none')
 
    % plot the line edges   
    hb = plot(x, y3, 'LineWidth', 1);hold on;
    hc = plot(x, y2, 'LineWidth', 1);hold on;
 
    % plot the point estimates
    hd = plot(x, y1, 'LineWidth', 2);hold on;
    
    % set the line and area colors
    set(ha(2), 'FaceColor',[0.7 0.7 0.7]);
    set(hb, 'Color', [0.9 0.9 0.9]);
    set(hc, 'Color', [0.9 0.9 0.9]);
    set(hd, 'Color', 'r');
 
    % put the grid on top of the colored area
    set(gca, 'Layer', 'top')
    grid on 
    xlim([min(x) max(x)]);
    ylim([-1 10]);
  %  line([min(x) max(x)],[1 1],'Color','k');
   
    ylabel('Excess Returns');
    xlabel('Maturity (in quarters)')
      legend('Portfolio 1')
      title('Local Currency')
      
      
    subplot(3,3,2)
    
    y1 = slope_local(:,Nport);
%     y2 = slope_local(:,Nport)+2*slope_local_se(:,Nport); % 2 s.e.
%     y3 = slope_local(:,Nport)-2*slope_local_se(:,Nport); % 2 s.e.
    y2 = slope_local(:,Nport)+slope_local_se(:,Nport); % 1 s.e.
    y3 = slope_local(:,Nport)-slope_local_se(:,Nport); % 1 s.e.
    x  = maturity_grid;
    
    % area does not work with NaN
    
    
    % plot the area
    y = [y3 (y2-y3)]; 
    ha = area(x, y);hold on;
    set(ha(1), 'FaceColor', 'none') % this makes the bottom area invisible
    set(ha, 'LineStyle', 'none')
 
    % plot the line edges   
    hb = plot(x, y3, 'LineWidth', 1);hold on;
    hc = plot(x, y2, 'LineWidth', 1);hold on;
 
    % plot the point estimates
    hd = plot(x, y1, 'LineWidth', 2);hold on;
    
    % set the line and area colors
    set(ha(2), 'FaceColor',[0.7 0.7 0.7]);
    set(hb, 'Color', [0.9 0.9 0.9]);
    set(hc, 'Color', [0.9 0.9 0.9]);
    set(hd, 'Color', 'b');
 
    % put the grid on top of the colored area
    set(gca, 'Layer', 'top')
    grid on 
    xlim([min(x) max(x)]);
    ylim([-1 10]);
  %  line([min(AllMaturities) max(AllMaturities)],[1 1],'Color','k');
   y4 = slope_local(:,1);
       % plot the point estimates
    he = plot(x, y4,'--', 'LineWidth', 1);hold on;
     set(he, 'Color', 'r');
    
     ylabel('Excess Returns');
     xlabel('Maturity (in quarters)')
      legend(strcat('Portfolio',{' '},int2str(Nport)))
      title('Local Currency')
      
      
 subplot(3,3,3)
    
    y1 = -slope_local(:,Nport+1);
%     y2 = -slope_local(:,Nport+1)+2*slope_local_se(:,Nport+1);  % 2 s.e.
%     y3 = -slope_local(:,Nport+1)-2*slope_local_se(:,Nport+1);  % 2 s.e.
    y2 = -slope_local(:,Nport+1)+slope_local_se(:,Nport+1);  % 1 s.e.
    y3 = -slope_local(:,Nport+1)-slope_local_se(:,Nport+1);  % 1 s.e.
    x  = maturity_grid;
    
    % area does not work with NaN
    
    
    % plot the area
    y = [y3 (y2-y3)]; 
    ha = area(x, y);hold on;
    set(ha(1), 'FaceColor', 'none') % this makes the bottom area invisible
    set(ha, 'LineStyle', 'none')
 
    % plot the line edges   
    hb = plot(x, y3, 'LineWidth', 1);hold on;
    hc = plot(x, y2, 'LineWidth', 1);hold on;
 
    % plot the point estimates
    hd = plot(x, y1, 'LineWidth', 2);hold on;
    
    % set the line and area colors
    set(ha(2), 'FaceColor',[0.7 0.7 0.7]);
    set(hb, 'Color', [0.9 0.9 0.9]);
    set(hc, 'Color', [0.9 0.9 0.9]);
    set(hd, 'Color', 'b');
 
    % put the grid on top of the colored area
    set(gca, 'Layer', 'top')
    grid on 
    xlim([min(x) max(x)]);
    ylim([-10 0]);
  %  line([min(AllMaturities) max(AllMaturities)],[1 1],'Color','k');
  % y4 = slope_local(:,1);
       % plot the point estimates
   % he = plot(x, y4,'--', 'LineWidth', 1);hold on;
    % set(he, 'Color', 'r');
    
     ylabel('Excess Returns');
     xlabel('Maturity (in quarters)')
      legend(strcat('Portfolio 1 -',{' '},int2str(Nport)))
      title('Local Currency')     
    
  
      
      %%
    subplot(3,3,4)
    y1 = slope_fx(:,1);
%     y2 = slope_fx(:,1)+2*slope_fx_se(:,1);  % 2 s.e. 
%     y3 = slope_fx(:,1)-2*slope_fx_se(:,1);  % 2 s.e.
    y2 = slope_fx(:,1)+slope_fx_se(:,1);  % 1 s.e. 
    y3 = slope_fx(:,1)-slope_fx_se(:,1);  % 1 s.e.
    x  = maturity_grid;
    
    % area does not work with NaN
    
    
    % plot the area
    y = [y3 (y2-y3)]; 
    ha = area(x, y);hold on;
    set(ha(1), 'FaceColor', 'none') % this makes the bottom area invisible
    set(ha, 'LineStyle', 'none')
 
    % plot the line edges   
    hb = plot(x, y3, 'LineWidth', 1);hold on;
    hc = plot(x, y2, 'LineWidth', 1);hold on;
 
    % plot the point estimates
    hd = plot(x, y1, 'LineWidth', 2);hold on;
    
    % set the line and area colors
    set(ha(2), 'FaceColor',[0.7 0.7 0.7]);
    set(hb, 'Color', [0.9 0.9 0.9]);
    set(hc, 'Color', [0.9 0.9 0.9]);
    set(hd, 'Color', 'r');
 
    % put the grid on top of the colored area
    set(gca, 'Layer', 'top')
    grid on 
    xlim([min(x) max(x)]);
    ylim([-1 10]);
    ylim([-3 10]);
  %  line([min(x) max(x)],[1 1],'Color','k');
   
    ylabel('Excess Returns');
    xlabel('Maturity (in quarters)')
      legend('Portfolio 1')
      title('FX')
      
      
    subplot(3,3,5)
    
    y1 = slope_fx(:,Nport);
%     y2 = slope_fx(:,Nport)+2*slope_fx_se(:,Nport);  % 2 s.e.
%     y3 = slope_fx(:,Nport)-2*slope_fx_se(:,Nport);  % 2 s.e.
    y2 = slope_fx(:,Nport)+slope_fx_se(:,Nport);  % 1 s.e.
    y3 = slope_fx(:,Nport)-slope_fx_se(:,Nport);  % 1 s.e.
    x  = maturity_grid;
    
    % area does not work with NaN
    
    
    % plot the area
    y = [y3 (y2-y3)]; 
    ha = area(x, y);hold on;
    set(ha(1), 'FaceColor', 'none') % this makes the bottom area invisible
    set(ha, 'LineStyle', 'none')
 
    % plot the line edges   
    hb = plot(x, y3, 'LineWidth', 1);hold on;
    hc = plot(x, y2, 'LineWidth', 1);hold on;
 
    % plot the point estimates
    hd = plot(x, y1, 'LineWidth', 2);hold on;
    
    % set the line and area colors
    set(ha(2), 'FaceColor',[0.7 0.7 0.7]);
    set(hb, 'Color', [0.9 0.9 0.9]);
    set(hc, 'Color', [0.9 0.9 0.9]);
    set(hd, 'Color', 'b');
 
    % put the grid on top of the colored area
    set(gca, 'Layer', 'top')
    grid on 
    xlim([min(x) max(x)]);
    ylim([-1 10]);
    ylim([-3 10]);
  %  line([min(AllMaturities) max(AllMaturities)],[1 1],'Color','k');
   y4 = slope_fx(:,1);
       % plot the point estimates
    he = plot(x, y4,'--', 'LineWidth', 1);hold on;
     set(he, 'Color', 'r');
    
     ylabel('Excess Returns');
     xlabel('Maturity (in quarters)')
      legend(strcat('Portfolio',{' '},int2str(Nport)))
      title('FX')
      
      
 subplot(3,3,6)
    
    y1 = -slope_fx(:,Nport+1);
%     y2 = -slope_fx(:,Nport+1)+2*slope_fx_se(:,Nport+1);  % 2 s.e.
%     y3 = -slope_fx(:,Nport+1)-2*slope_fx_se(:,Nport+1);  % 2 s.e.
    y2 = -slope_fx(:,Nport+1)+slope_fx_se(:,Nport+1);  % 1 s.e.
    y3 = -slope_fx(:,Nport+1)-slope_fx_se(:,Nport+1);  % 1 s.e.
    x  = maturity_grid;
    
    % area does not work with NaN
    
    
    % plot the area
    y = [y3 (y2-y3)]; 
    ha = area(x, y);hold on;
    set(ha(1), 'FaceColor', 'none') % this makes the bottom area invisible
    set(ha, 'LineStyle', 'none')
 
    % plot the line edges   
    hb = plot(x, y3, 'LineWidth', 1);hold on;
    hc = plot(x, y2, 'LineWidth', 1);hold on;
 
    % plot the point estimates
    hd = plot(x, y1, 'LineWidth', 2);hold on;
    
    % set the line and area colors
    set(ha(2), 'FaceColor',[0.7 0.7 0.7]);
    set(hb, 'Color', [0.9 0.9 0.9]);
    set(hc, 'Color', [0.9 0.9 0.9]);
    set(hd, 'Color', 'b');
 
    % put the grid on top of the colored area
    set(gca, 'Layer', 'top')
    grid on 
    xlim([min(x) max(x)]);
    ylim([0 10]);
  %  line([min(AllMaturities) max(AllMaturities)],[1 1],'Color','k');
  % y4 = slope_local(:,1);
       % plot the point estimates
   % he = plot(x, y4,'--', 'LineWidth', 1);hold on;
    % set(he, 'Color', 'r');
    
     ylabel('Excess Returns');
     xlabel('Maturity (in quarters)')
      legend(strcat('Portfolio 1 -',{' '},int2str(Nport)))
      title('FX')     
    
  
      
      %%
      
      
    subplot(3,3,7)
    y1 = slope_dollar(:,1);
%     y2 = slope_dollar(:,1)+2*slope_dollar_se(:,1); % 2 s.e.
%     y3 = slope_dollar(:,1)-2*slope_dollar_se(:,1); % 2 s.e.
    y2 = slope_dollar(:,1)+slope_dollar_se(:,1); % 1 s.e.
    y3 = slope_dollar(:,1)-slope_dollar_se(:,1); % 1 s.e.
    x  = maturity_grid;
    
    % area does not work with NaN
    
    
    % plot the area
    y = [y3 (y2-y3)]; 
    ha = area(x, y);hold on;
    set(ha(1), 'FaceColor', 'none') % this makes the bottom area invisible
    set(ha, 'LineStyle', 'none')
 
    % plot the line edges   
    hb = plot(x, y3, 'LineWidth', 1);hold on;
    hc = plot(x, y2, 'LineWidth', 1);hold on;
 
    % plot the point estimates
    hd = plot(x, y1, 'LineWidth', 2);hold on;
    
    % set the line and area colors
    set(ha(2), 'FaceColor',[0.7 0.7 0.7]);
    set(hb, 'Color', [0.9 0.9 0.9]);
    set(hc, 'Color', [0.9 0.9 0.9]);
    set(hd, 'Color', 'r');
 
    % put the grid on top of the colored area
    set(gca, 'Layer', 'top')
    grid on 
  xlim([min(x) max(x)]);
    ylim([-4 12]);
  %  line([min(AllMaturities) max(AllMaturities)],[1 1],'Color','k');
   
    ylabel('Excess Returns');
      legend('Portfolio 1','Location','SouthWest')
      title('Dollars')
       xlabel('Maturity (in quarters)')
       
       
     subplot(3,3,8)
    y1 = slope_dollar(:,Nport);
%     y2 = slope_dollar(:,Nport)+2*slope_dollar_se(:,Nport);  % 2 s.e.
%     y3 = slope_dollar(:,Nport)-2*slope_dollar_se(:,Nport);  % 2 s.e.
    y2 = slope_dollar(:,Nport)+slope_dollar_se(:,Nport);  % 1 s.e.
    y3 = slope_dollar(:,Nport)-slope_dollar_se(:,Nport);  % 1 s.e.
    x  = maturity_grid;
    
    % area does not work with NaN
    
    
    % plot the area
    y = [y3 (y2-y3)]; 
    ha = area(x, y);hold on;
    set(ha(1), 'FaceColor', 'none') % this makes the bottom area invisible
    set(ha, 'LineStyle', 'none')
 
    % plot the line edges   
    hb = plot(x, y3, 'LineWidth', 1);hold on;
    hc = plot(x, y2, 'LineWidth', 1);hold on;
 
    % plot the point estimates
    hd = plot(x, y1, 'LineWidth', 2);hold on;
    
    % set the line and area colors
    set(ha(2), 'FaceColor',[0.7 0.7 0.7]);
    set(hb, 'Color', [0.9 0.9 0.9]);
    set(hc, 'Color', [0.9 0.9 0.9]);
    set(hd, 'Color', 'b');
 
    % put the grid on top of the colored area
    set(gca, 'Layer', 'top')
    grid on 
    xlim([min(x) max(x)]);
    ylim([-4 12]);
  %  line([min(AllMaturities) max(AllMaturities)],[1 1],'Color','k');
   
    y4 = slope_dollar(:,1);
       % plot the point estimates
    he = plot(x, y4,'--', 'LineWidth', 1);hold on;
     set(he, 'Color', 'r');
    
    ylabel('Excess Returns');
    legend(strcat('Portfolio',{' '},int2str(Nport)),'Location','SouthWest')
    title('Dollars')
    xlabel('Maturity (in quarters)')
    
      subplot(3,3,9)
    y1 = -slope_dollar(:,Nport+1);
%     y2 = -slope_dollar(:,Nport+1)+2*slope_dollar_se(:,Nport+1); % 2 s.e.
%     y3 = -slope_dollar(:,Nport+1)-2*slope_dollar_se(:,Nport+1); % 2 s.e.
    y2 = -slope_dollar(:,Nport+1)+slope_dollar_se(:,Nport+1); % 1 s.e.
    y3 = -slope_dollar(:,Nport+1)-slope_dollar_se(:,Nport+1); % 1 s.e.
    x  = maturity_grid;
    
    % area does not work with NaN
    
    
    % plot the area
    y = [y3 (y2-y3)]; 
    ha = area(x, y);hold on;
    set(ha(1), 'FaceColor', 'none') % this makes the bottom area invisible
    set(ha, 'LineStyle', 'none')
 
    % plot the line edges   
    hb = plot(x, y3, 'LineWidth', 1);hold on;
    hc = plot(x, y2, 'LineWidth', 1);hold on;
 
    % plot the point estimates
    hd = plot(x, y1, 'LineWidth', 2);hold on;
    
    % set the line and area colors
    set(ha(2), 'FaceColor',[0.7 0.7 0.7]);
    set(hb, 'Color', [0.9 0.9 0.9]);
    set(hc, 'Color', [0.9 0.9 0.9]);
    set(hd, 'Color', 'b');
 
    % put the grid on top of the colored area
    set(gca, 'Layer', 'top')
    grid on 
    xlim([min(x) max(x)]);
    ylim([-6 6]);
  %  line([min(AllMaturities) max(AllMaturities)],[1 1],'Color','k');
   
   % y4 = slope_dollar(:,1);
       % plot the point estimates
    %he = plot(x, y4,'--', 'LineWidth', 1);hold on;
    %set(he, 'Color', 'r');
    
    ylabel('Excess Returns');
    legend(strcat('Portfolio 1 -',{' '},int2str(Nport)))
    title('Dollars')
    xlabel('Maturity (in quarters)')
%     set(gcf, 'Units', 'Normalized', 'OuterPosition', [0.25, 0.04, 0.75, 0.96]); % Enlarge figure to full screen.
    set(gcf,'position', [0, 0, 1200, 1800]);
    print('-depsc2', strcat(newpath,'Term_se_BB_AllMaturities_Slope_',int2str(frequency),'_Horizon_',int2str(horizon),...
    '_Source_',int2str(source),'_2016'));

figure
    y1 = -slope_dollar(:,Nport+1);
    y2 = -slope_dollar(:,Nport+1)+1.96*slope_dollar_se(:,Nport+1); % 95% c.i.
    y3 = -slope_dollar(:,Nport+1)-1.96*slope_dollar_se(:,Nport+1); % 95% c.i.
    y4 = -slope_dollar(:,Nport+1)+1.645*slope_dollar_se(:,Nport+1); % 90% c.i.
    y5 = -slope_dollar(:,Nport+1)-1.645*slope_dollar_se(:,Nport+1); % 90% c.i.
    y6 = -slope_dollar(:,Nport+1)+slope_dollar_se(:,Nport+1); % 1 s.e.
    y7 = -slope_dollar(:,Nport+1)-slope_dollar_se(:,Nport+1); % 1 s.e.
    x  = maturity_grid;
    
    % area does not work with NaN
    
    % plot the area
    y = [y3 (y2-y3)]; 
    ha = area(x, y);hold on;
    set(ha(1), 'FaceColor', 'none') % this makes the bottom area invisible
    set(ha, 'LineStyle', 'none')
    
    y_alt = [y5 (y4-y5)]; 
    ha_alt = area(x, y_alt);hold on;
    set(ha_alt(1), 'FaceColor', 'none') % this makes the bottom area invisible
    set(ha_alt, 'LineStyle', 'none')
    
    y_alt2 = [y7 (y6-y7)]; 
    ha_alt2 = area(x, y_alt2);hold on;
    set(ha_alt2(1), 'FaceColor', 'none') % this makes the bottom area invisible
    set(ha_alt2, 'LineStyle', 'none')
    
    % plot the line edges   
    hb  = plot(x, y3, 'LineWidth', 1);hold on;
    hc  = plot(x, y2, 'LineWidth', 1);hold on;
    hb_alt  = plot(x, y5, 'LineWidth', 1);hold on;
    hc_alt  = plot(x, y4, 'LineWidth', 1);hold on;
    hb_alt2  = plot(x, y7, 'LineWidth', 1);hold on;
    hc_alt2  = plot(x, y6, 'LineWidth', 1);hold on;
    
    % plot the point estimates
    hd = plot(x, y1, 'LineWidth', 3);hold on;
    
    % set the line and area colors
    set(ha(2), 'FaceColor',[0.7 0.7 0.7]);
    set(ha_alt(2), 'FaceColor',[0.5 0.5 0.5]);
    set(ha_alt2(2), 'FaceColor',[0.4 0.4 0.4]);
    set(hb, 'Color', [0.9 0.9 0.9]);
    set(hc, 'Color', [0.9 0.9 0.9]);
    set(hb_alt, 'Color', [0.9 0.9 0.9]);
    set(hc_alt, 'Color', [0.9 0.9 0.9]);
    set(hb_alt2, 'Color', [0.9 0.9 0.9]);
    set(hc_alt2, 'Color', [0.9 0.9 0.9]);
    set(hd, 'Color', 'b');
 
    % put the grid on top of the colored area
    set(gca, 'Layer', 'top')
    grid on 
    xlim([min(x) max(x)]);
    ylim([-6.75 6]);
  %  line([min(AllMaturities) max(AllMaturities)],[1 1],'Color','k');
   
   % y4 = slope_dollar(:,1);
       % plot the point estimates
    %he = plot(x, y4,'--', 'LineWidth', 1);hold on;
    %set(he, 'Color', 'r');
    
    %title('The Term Structure of Currency Carry Trade Risk Premia')
    ylabel('Dollar Excess Returns');
    %legend('Portfolio 1 - 3')
    xlabel('Maturity (in quarters)')
    print('-depsc2',strcat(newpath,'Term_se_BB_AllMaturities_Slope_',int2str(frequency),'_Horizon_',int2str(horizon),...
    '_Source_',int2str(source),'_TermStructureOnly','_2018'));


figure
    y1 = IR_dollar(:,Nport+1);
    y2 = IR_dollar(:,Nport+1)+1.96*IR_dollar_se(:,Nport+1); % 95% c.i.
    y3 = IR_dollar(:,Nport+1)-1.96*IR_dollar_se(:,Nport+1); % 95% c.i.
    y4 = IR_dollar(:,Nport+1)+1.645*IR_dollar_se(:,Nport+1); % 90% c.i.
    y5 = IR_dollar(:,Nport+1)-1.645*IR_dollar_se(:,Nport+1); % 90% c.i.
    y6 = IR_dollar(:,Nport+1)+IR_dollar_se(:,Nport+1); % 1 s.e.
    y7 = IR_dollar(:,Nport+1)-IR_dollar_se(:,Nport+1); % 1 s.e.
    x  = maturity_grid;
    
    % area does not work with NaN
    
    % plot the area
    y = [y3 (y2-y3)]; 
    ha = area(x, y);hold on;
    set(ha(1), 'FaceColor', 'none') % this makes the bottom area invisible
    set(ha, 'LineStyle', 'none')
    
    y_alt = [y5 (y4-y5)]; 
    ha_alt = area(x, y_alt);hold on;
    set(ha_alt(1), 'FaceColor', 'none') % this makes the bottom area invisible
    set(ha_alt, 'LineStyle', 'none')
    
    y_alt2 = [y7 (y6-y7)]; 
    ha_alt2 = area(x, y_alt2);hold on;
    set(ha_alt2(1), 'FaceColor', 'none') % this makes the bottom area invisible
    set(ha_alt2, 'LineStyle', 'none')
    
    % plot the line edges   
    hb  = plot(x, y3, 'LineWidth', 1);hold on;
    hc  = plot(x, y2, 'LineWidth', 1);hold on;
    hb_alt  = plot(x, y5, 'LineWidth', 1);hold on;
    hc_alt  = plot(x, y4, 'LineWidth', 1);hold on;
    hb_alt2  = plot(x, y7, 'LineWidth', 1);hold on;
    hc_alt2  = plot(x, y6, 'LineWidth', 1);hold on;
    
    % plot the point estimates
    hd = plot(x, y1, 'LineWidth', 3);hold on;
    
    % set the line and area colors
    set(ha(2), 'FaceColor',[0.7 0.7 0.7]);
    set(ha_alt(2), 'FaceColor',[0.5 0.5 0.5]);
    set(ha_alt2(2), 'FaceColor',[0.4 0.4 0.4]);
    set(hb, 'Color', [0.9 0.9 0.9]);
    set(hc, 'Color', [0.9 0.9 0.9]);
    set(hb_alt, 'Color', [0.9 0.9 0.9]);
    set(hc_alt, 'Color', [0.9 0.9 0.9]);
    set(hb_alt2, 'Color', [0.9 0.9 0.9]);
    set(hc_alt2, 'Color', [0.9 0.9 0.9]);
    set(hd, 'Color', 'b');
 
    % put the grid on top of the colored area
    set(gca, 'Layer', 'top')
    grid on 
    xlim([min(x) max(x)]);
    ylim([-2 9]);
  %  line([min(AllMaturities) max(AllMaturities)],[1 1],'Color','k');
   
   % y4 = slope_dollar(:,1);
       % plot the point estimates
    %he = plot(x, y4,'--', 'LineWidth', 1);hold on;
    %set(he, 'Color', 'r');
    
    %title('The Term Structure of Currency Carry Trade Risk Premia')
    ylabel('Dollar Excess Returns');
    %legend('Portfolio 1 - 3')
    xlabel('Maturity (in quarters)')
    print('-depsc2',strcat(newpath,'Term_se_BB_AllMaturities_IR_',int2str(frequency),'_Horizon_',int2str(horizon),...
    '_Source_',int2str(source),'_TermStructureOnly','_2018'));


figure

subplot(1,2,1);
    y1 = IR_dollar(:,Nport+1);
    y2 = IR_dollar(:,Nport+1)+1.96*IR_dollar_se(:,Nport+1); % 95% c.i.
    y3 = IR_dollar(:,Nport+1)-1.96*IR_dollar_se(:,Nport+1); % 95% c.i.
    y4 = IR_dollar(:,Nport+1)+1.645*IR_dollar_se(:,Nport+1); % 90% c.i.
    y5 = IR_dollar(:,Nport+1)-1.645*IR_dollar_se(:,Nport+1); % 90% c.i.
    y6 = IR_dollar(:,Nport+1)+IR_dollar_se(:,Nport+1); % 1 s.e.
    y7 = IR_dollar(:,Nport+1)-IR_dollar_se(:,Nport+1); % 1 s.e.
    x  = maturity_grid;
    
    % area does not work with NaN
    
    % plot the area
    y = [y3 (y2-y3)]; 
    ha = area(x, y);hold on;
    set(ha(1), 'FaceColor', 'none') % this makes the bottom area invisible
    set(ha, 'LineStyle', 'none')
    
    y_alt = [y5 (y4-y5)]; 
    ha_alt = area(x, y_alt);hold on;
    set(ha_alt(1), 'FaceColor', 'none') % this makes the bottom area invisible
    set(ha_alt, 'LineStyle', 'none')
    
    y_alt2 = [y7 (y6-y7)]; 
    ha_alt2 = area(x, y_alt2);hold on;
    set(ha_alt2(1), 'FaceColor', 'none') % this makes the bottom area invisible
    set(ha_alt2, 'LineStyle', 'none')
    
%     % plot the line edges   
%     hb  = plot(x, y3, 'LineWidth', 1);hold on;
%     hc  = plot(x, y2, 'LineWidth', 1);hold on;
%     hb_alt  = plot(x, y5, 'LineWidth', 1);hold on;
%     hc_alt  = plot(x, y4, 'LineWidth', 1);hold on;
%     hb_alt2  = plot(x, y7, 'LineWidth', 1);hold on;
%     hc_alt2  = plot(x, y6, 'LineWidth', 1);hold on;
    
    % plot the point estimates
    hd = plot(x, y1, 'LineWidth', 2);hold on;
    
    % set the line and area colors
    set(ha(2), 'FaceColor',[0.7 0.7 0.7]);
    set(ha_alt(2), 'FaceColor',[0.5 0.5 0.5]);
    set(ha_alt2(2), 'FaceColor',[0.4 0.4 0.4]);
    set(hb, 'Color', [0.9 0.9 0.9]);
    set(hc, 'Color', [0.9 0.9 0.9]);
    set(hb_alt, 'Color', [0.9 0.9 0.9]);
    set(hc_alt, 'Color', [0.9 0.9 0.9]);
    set(hb_alt2, 'Color', [0.9 0.9 0.9]);
    set(hc_alt2, 'Color', [0.9 0.9 0.9]);
    set(hd, 'Color', 'b');
 
    % put the grid on top of the colored area
    set(gca, 'Layer', 'top')
    grid on 
    xlim([min(x) max(x)]);
    ylim([-2 9]);
  %  line([min(AllMaturities) max(AllMaturities)],[1 1],'Color','k');
   
   % y4 = slope_dollar(:,1);
       % plot the point estimates
    %he = plot(x, y4,'--', 'LineWidth', 1);hold on;
    %set(he, 'Color', 'r');
    
    ax = gca; ax.FontSize = 6;
    title('Sorting on Interest Rate Levels')
    ylabel('Dollar Excess Returns');
    %legend('Portfolio 1 - 3')
    xlabel('Maturity (in quarters)')
    
subplot(1,2,2);
    y1 = -slope_dollar(:,Nport+1);
    y2 = -slope_dollar(:,Nport+1)+1.96*slope_dollar_se(:,Nport+1); % 95% c.i.
    y3 = -slope_dollar(:,Nport+1)-1.96*slope_dollar_se(:,Nport+1); % 95% c.i.
    y4 = -slope_dollar(:,Nport+1)+1.645*slope_dollar_se(:,Nport+1); % 90% c.i.
    y5 = -slope_dollar(:,Nport+1)-1.645*slope_dollar_se(:,Nport+1); % 90% c.i.
    y6 = -slope_dollar(:,Nport+1)+slope_dollar_se(:,Nport+1); % 1 s.e.
    y7 = -slope_dollar(:,Nport+1)-slope_dollar_se(:,Nport+1); % 1 s.e.
    x  = maturity_grid;
    
    % area does not work with NaN
    
    % plot the area
    y = [y3 (y2-y3)]; 
    ha = area(x, y);hold on;
    set(ha(1), 'FaceColor', 'none') % this makes the bottom area invisible
    set(ha, 'LineStyle', 'none')
    
    y_alt = [y5 (y4-y5)]; 
    ha_alt = area(x, y_alt);hold on;
    set(ha_alt(1), 'FaceColor', 'none') % this makes the bottom area invisible
    set(ha_alt, 'LineStyle', 'none')
    
    y_alt2 = [y7 (y6-y7)]; 
    ha_alt2 = area(x, y_alt2);hold on;
    set(ha_alt2(1), 'FaceColor', 'none') % this makes the bottom area invisible
    set(ha_alt2, 'LineStyle', 'none')
    
%     % plot the line edges   
%     hb  = plot(x, y3, 'LineWidth', 1);hold on;
%     hc  = plot(x, y2, 'LineWidth', 1);hold on;
%     hb_alt  = plot(x, y5, 'LineWidth', 1);hold on;
%     hc_alt  = plot(x, y4, 'LineWidth', 1);hold on;
%     hb_alt2  = plot(x, y7, 'LineWidth', 1);hold on;
%     hc_alt2  = plot(x, y6, 'LineWidth', 1);hold on;
    
    % plot the point estimates
    hd = plot(x, y1, 'LineWidth', 2);hold on;
    
    % set the line and area colors
    set(ha(2), 'FaceColor',[0.7 0.7 0.7]);
    set(ha_alt(2), 'FaceColor',[0.5 0.5 0.5]);
    set(ha_alt2(2), 'FaceColor',[0.4 0.4 0.4]);
    set(hb, 'Color', [0.9 0.9 0.9]);
    set(hc, 'Color', [0.9 0.9 0.9]);
    set(hb_alt, 'Color', [0.9 0.9 0.9]);
    set(hc_alt, 'Color', [0.9 0.9 0.9]);
    set(hb_alt2, 'Color', [0.9 0.9 0.9]);
    set(hc_alt2, 'Color', [0.9 0.9 0.9]);
    set(hd, 'Color', 'b');
 
    % put the grid on top of the colored area
    set(gca, 'Layer', 'top')
    grid on 
    xlim([min(x) max(x)]);
    ylim([-6.75 6]);
  %  line([min(AllMaturities) max(AllMaturities)],[1 1],'Color','k');
   
   % y4 = slope_dollar(:,1);
       % plot the point estimates
    %he = plot(x, y4,'--', 'LineWidth', 1);hold on;
    %set(he, 'Color', 'r');
    
    ax = gca; ax.FontSize = 6;
    title('Sorting on Yield Curve Slope Levels')
    ylabel('Dollar Excess Returns');
    %legend('Portfolio 1 - 3')
    xlabel('Maturity (in quarters)')
    
 print('-depsc2',strcat(newpath,'Term_se_BB_AllMaturities_All_',int2str(frequency),'_Horizon_',int2str(horizon),...
    '_Source_',int2str(source),'_TermStructureOnly','_2018'));  
