% ============================================= %
% Description
% ============================================= %

% Produces Figure 1 in the main text

% ============================================= %

clc;
close all;


str = computer;
if strcmp(str,'PCWIN')==1;
    newpath   =  strcat(pwd,'\');
elseif strcmp(str,'PCWIN64')==1;
    newpath   =  strcat(pwd,'\');
else
    newpath   =  strcat(pwd,'/');
end;

sample  = 3;
horizon = 1;
date_begin = 1975;
date_end   = 2015;

XRetMat_1 = xlsread(strcat(newpath,'cum_excess_returns_GFD_sample_',int2str(sample),'_horizon_',int2str(horizon),'_date_begin_',int2str(date_begin),'_date_end_',int2str(date_end),'_2016.xls'),1);
XRetMat_4 = xlsread(strcat(newpath,'cum_excess_returns_GFD_sample_',int2str(sample),'_horizon_',int2str(horizon),'_date_begin_',int2str(date_begin),'_date_end_',int2str(date_end),'_2016.xls'),4);

dates_sample = XRetMat_1(:,1);

figure

subplot(2,2,1);
plot(dates_sample,XRetMat_1(:,2),'r--','LineWidth',1);
hold on
plot(dates_sample,XRetMat_1(:,3),'b','LineWidth',1);
grid
title('Sorting on Interest Rate Levels');ax = gca; ax.FontSize = 6;
legend('FX Premium','Local Currency Bond Premium','Location','SouthWest');
ylabel('cumulative log returns');
dateaxis
% axis('tight')
ylim([-2.5 2])
% ylim([-1.5 1.5])
xlim([min(dates_sample) max(dates_sample)])


subplot(2,2,2)
plot(dates_sample,XRetMat_4(:,2),'r--','LineWidth',1)
hold on
plot(dates_sample,XRetMat_4(:,3),'b','LineWidth',1)
grid
title('Sorting on Interest Rate Deviations');ax = gca; ax.FontSize = 6;
% legend('FX Premium','Local Currency Bond Premium','Location','NorthWest')
ylabel('cumulative log returns')
dateaxis
ylim([-2.5 2])
% ylim([-1.5 1.5])
xlim([min(dates_sample) max(dates_sample)])


subplot(2,2,3);
plot(dates_sample,XRetMat_1(:,4),'r--','LineWidth',1)
hold on
plot(dates_sample,XRetMat_1(:,5),'b','LineWidth',1)
grid
title('Sorting on Yield Curve Slope Levels');ax = gca; ax.FontSize = 6;
% legend('FX Premium','Local Currency Bond Premium','Location','NorthWest')
ylabel('cumulative log returns')
dateaxis
ylim([-2.5 2])
% ylim([-1.5 1.5])
xlim([min(dates_sample) max(dates_sample)])


subplot(2,2,4);
plot(dates_sample,XRetMat_4(:,4),'r--','LineWidth',1)
hold on
plot(dates_sample,XRetMat_4(:,5),'b','LineWidth',1)
grid
title('Sorting on Yield Curve Slope Deviations');ax = gca; ax.FontSize = 6;
% legend('FX Premium','Local Currency Bond Premium','Location','NorthWest')
ylabel('cumulative log returns')
dateaxis
% axis('tight')
ylim([-2.5 2])
% ylim([-1.5 1.5])
xlim([min(dates_sample) max(dates_sample)])

print('-depsc2',strcat(newpath,'Cum_Excess_Returns_GFD_Sample_',int2str(sample),...
    '_Start_',int2str(date_begin),'_End_',int2str(date_end)));