function [x,vvNaN,vvNaNRow,vvNoNaNRow] = excisePs(x)
%excisePs    Remove rows with NaNs.
%
%
%
%
%  Usage:    [x,vvNaN,vvNaNRow,vvNoNaNRow] = excisePs(x);
%
%  Input:   x           Txm   matrix
%
%  Output:  x           Sxm   matrix, S<=T, rows with any NaN are cut out
%           vvNaN       Txm   matrix, 1 if element (i,j) in x is a NaN
%           vvNaNRow    Tx1   vector, 1 if row has some NaNs
%           vvNoNaNRow  Tx1   vector, 1 if row has no NaNs
%
%
%
%
%
%  Paul.Soderlind@unisg.ch   1 March 2005
%------------------------------------------------------------------------------

% y = x;
%[T,m] = size(x);

vvNaN      = isnan(x);                     %1 if (i,j) is NaN
vvNaNRow   = any(vvNaN,2);                 %1 if row has some NaNs
vvNoNaNRow = ~vvNaNRow;                    %1 if row has no NaNs

x(vvNaNRow,:) = [];                        %cut rows with NaNs
%------------------------------------------------------------------------------

