% ============================================= %
% Description
% ============================================= %

% Produces Figure A12 in the Online Appendix.

% ============================================= %


N=2;
var_perm_curr=linspace(0.10^2,(0.16)^2,N);

eq_term=0.0747
perm_comp=linspace(2*eq_term,eq_term*15,100);

for j=1:1
for i=1:100
var(i) = perm_comp(i);

cov(i)= perm_comp(i)-(1/2) *var_perm_curr(j);
corr(i)=min(1,cov(i)/var(i));
corr_lb(i)=corr(1);
end

plot(sqrt(var),corr,'b--','LineWidth',3)
%hold on
%plot(sqrt(var),corr_lb,'b+--','LineWidth',1)
xlabel('Volatility of Permanent Component')
ylabel('Implied Correlation')
hold on
end
%grid
hold on

for j=2:2
for i=1:100
var(i) = perm_comp(i);

cov(i)= perm_comp(i)-(1/2) *var_perm_curr(j);
corr(i)=min(1,cov(i)/var(i));
corr_lb(i)=corr(1);
end

plot(sqrt(var),corr,'r','LineWidth',3)
%hold on
%plot(sqrt(var),corr_lb,'rd--','LineWidth',1)
xlabel('Volatility of Permanent Component')
ylabel('Implied Correlation')
hold on
end
grid
hold off
axis([sqrt(2*0.0747) 1 0 1 ])
legend('10%','16%','Location','SouthEast')
print('-depsc2','bounds_AJ');
